Mise à jour tardive

Bonjour,
J’ai tardé à faire les MaJ nécessaires au bon fonctionnement du site amr.ouvaton.org (SPIP 3.1.1, écran sec 1.1.7 , Php 5.6.40, avec squelette Sarka SPIP 3.2.34 et plug in associés).
Tout est à mettre à jour, mais je ne sais pas par quoi commencer. Et je ne suis pas sur que Sarka et les plug in existent encore…
Quel est l’ordre à respecter ?
Merci de votre aide.
JPaul

Bonjour,

Une bonne sauvegarde avant tout ! :slight_smile:

Il faut probablement commencer par une mise à jour des plugins de SPIP, puis modifier la version de PHP utilisée par le site (https://ouvaton.coop/choisir-la-version-de-php/) pour passer en PHP 7.0.x. SPIP 3.1 est compatible avec PHP 7.0, par contre Sarka-SPIP je ne trouve pas d’information, le mieux c’est de tester.

Si tout va bien sur le site, il est temps de se lancer dans la mise à jour de Sarka-SPIP (http://www.sarka-spip.net/spip.php?article528), qui semble ne plus être maintenu depuis quelques années.

Et enfin mettre à jour SPIP lui-même.

En cas de gros problème, nous pouvons restaurer le site dans son état du jour précédent.

Bonsoir,
en complément:
Spip 3.2.x fonctionne avec Sarka-spip 3.4.9,
donc pas de soucis sur ça à priori.
Voir par exemple le site en Spip 3.2 et Sarka spip 3.4: https://www.sudeducation34.org/
ou le site en Spip 3.1 qui fonctionne aussi avec Sarka 3.4.9: http://www.sarka-spip.net/ (!)

Sarka spip existe toujours, et les maj de sécurité ou petits couic sont assurées (dernière maj avril 2019), mais plus vraiment le développement…

Bonne nuit !
Phil Cherp

Merci à vous, je ne vais pas tarder de tenter la MaJ.
A+JPaul

Bonjour,
Je croyais avoir donné les dernières nouvelles de ce sujet, mais je n’en trouve trace. Bref, pour vous dire que la mise à niveau s’est bien passée.
Merci à vous.
JPaul

2 Likes